Join the community today
Register Now

Upgrade Errors

Discussion in 'Install & Upgrades or Pre-Install Questions' started by Jon Snow, Jan 7, 2018.

  1. Jon Snow

    Jon Snow Active Member

    374
    60
    28
    Jun 30, 2017
    Ratings:
    +90
    Local Time:
    8:57 PM
    Nginx 1.13.9
    MariaDB 10.1.31
    Please fill in any relevant information that applies to you:
    • CentOS Version: CentOS 7 64bit
    • Centmin Mod Version Installed: 123.09beta01
    • Nginx Version Installed: 1.13.17
    • PHP Version Installed: 7.1.11
    • MariaDB MySQL Version Installed: mysql Ver 15.1 Distrib 10.1.29-MariaDB
    • When was last time updated Centmin Mod code base ? : Today (been a while since I updated)
    • Persistent Config: Let's Encrypt line
    Updated to the latest centminmod code today and now I get this when I use the shortcode :

    Code (Text):
    centmin
    /usr/local/src/centminmod ~
    inc/cpcheck.inc: line 13: syntax error near unexpected token `fi'
    inc/cpcheck.inc: line 13: `    fi'
    
    inc/centoscheck.inc: line 171: nano_highlight: command not found
    centmin.sh: line 854: cpcheck: command not found
    centmin.sh: line 877: setupdate: command not found

    It still brings up the menu but I'm not going to upgrade nginx or php.

    Exiting through #24 results in :
    Code (Text):
    inc/bookmark.inc: line 22: yumupdatechecker: command not found
    inc/bookmark.inc: line 23: ngxver_checker: command not found
    inc/bookmark.inc: line 24: gitenv_askupdate: command not found

    Using the long way doesn't even bring up the menu (but tried after using the shortcode) :
    Code (Text):
    cd /usr/local/src/centminmod
    ./centmin.sh
    inc/cpcheck.inc: line 13: syntax error near unexpected token `fi'
    inc/cpcheck.inc: line 13: `    fi'
     
    • Like Like x 1
  2. SneakyDave

    SneakyDave Member

    79
    14
    8
    Jul 24, 2014
    Ratings:
    +21
    Local Time:
    6:57 PM
    1.0.15
    Yep yep, same thing for me, after updating centminmod
     
  3. eva2000

    eva2000 Administrator Staff Member

    36,017
    7,900
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +12,182
    Local Time:
    9:57 AM
    Nginx 1.15.x
    MariaDB 5.5/10.x
    whoops typos. fix coming in a few minutes :)
     
    • Like Like x 2
  4. eva2000

    eva2000 Administrator Staff Member

    36,017
    7,900
    113
    May 24, 2014
    Brisbane, Australia
    Ratings:
    +12,182
    Local Time:
    9:57 AM
    Nginx 1.15.x
    MariaDB 5.5/10.x
    fixed.. accidentally committed previous update before saving file heh

    to update run command
    Code (Text):
    cmupdate
    

    or
    Code (Text):
    cmdir
    git stash
    git pull
    ./centmin.sh
    
     
    • Like Like x 1
  5. SneakyDave

    SneakyDave Member

    79
    14
    8
    Jul 24, 2014
    Ratings:
    +21
    Local Time:
    6:57 PM
    1.0.15
    All fixed now, thanks Eva2000!
     
    • Like Like x 1
  6. Jon Snow

    Jon Snow Active Member

    374
    60
    28
    Jun 30, 2017
    Ratings:
    +90
    Local Time:
    8:57 PM
    Nginx 1.13.9
    MariaDB 10.1.31
    Ditto.
     
    • Like Like x 1
..